com.sun.grid.jgdi.configuration

## Interface ResourceQuotaRuleFilter

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ResourceQuotaRuleFilterImpl

      public interface ResourceQuotaRuleFilter
      extends GEObject

  Java representation of the cull object RQRF_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaRuleFilter class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScope(java.lang.String ascope)` Add a java.lang.String attribute.
    `void` | `addXscope(java.lang.String axscope)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getScope(int index)` Get a java.lang.String attribute at an index.
    `int` | `getScopeCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getScopeList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getXscope(int index)` Get a java.lang.String attribute at an index.
    `int` | `getXscopeCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getXscopeList()` Get a unmodifiable list of all java.lang.String attributes.
    `boolean` | `isExpand()` Get the value of the expand attribute.
    `boolean` | `isSetExpand()` Determine if any expand attribute is set
    `boolean` | `isSetScope()` Determine if any scope attribute is set
    `boolean` | `isSetXscope()` Determine if any xscope attribute is set
    `void` | `removeAllScope()` Remove all java.lang.String attributes.
    `void` | `removeAllXscope()` Remove all java.lang.String attributes.
    `java.lang.String` | `removeScope(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeScope(java.lang.String ascope)` Remote a specific java.lang.String attribute.
    `java.lang.String` | `removeXscope(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeXscope(java.lang.String axscope)` Remote a specific java.lang.String attribute.
    `void` | `setExpand(boolean aExpand)` Set the expand attribute.
    `void` | `setScope(int index, java.lang.String ascope)` Set a java.lang.String attribute.
    `void` | `setXscope(int index, java.lang.String axscope)` Set a java.lang.String attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setExpand

          void setExpand(boolean aExpand)

      Set the expand attribute.
      Parameters:
        `aExpand` - the new value for the expand attribute

    - #### isExpand

          boolean isExpand()

      Get the value of the expand attribute.
      Returns:
        the value of the expand attribute

    - #### isSetExpand

          boolean isSetExpand()

      Determine if any expand attribute is set
      Returns:
        `true` if the expand attribute is set

    - #### getScopeList

          java.util.List<java.lang.String> getScopeList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getScopeCount

          int getScopeCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getScope

          java.lang.String getScope(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addScope

          void addScope(java.lang.String ascope)

      Add a java.lang.String attribute.
      Parameters:
        `ascope` - the new java.lang.String attribute

    - #### setScope

          void setScope(int index,
                        java.lang.String ascope)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ascope` - the new java.lang.String attribute

    - #### removeAllScope

          void removeAllScope()

      Remove all java.lang.String attributes.

    - #### removeScope

          java.lang.String removeScope(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeScope

          boolean removeScope(java.lang.String ascope)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ascope` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetScope

          boolean isSetScope()

      Determine if any scope attribute is set
      Returns:
        `true` if the scope attribute is set

    - #### getXscopeList

          java.util.List<java.lang.String> getXscopeList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getXscopeCount

          int getXscopeCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getXscope

          java.lang.String getXscope(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addXscope

          void addXscope(java.lang.String axscope)

      Add a java.lang.String attribute.
      Parameters:
        `axscope` - the new java.lang.String attribute

    - #### setXscope

          void setXscope(int index,
                         java.lang.String axscope)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `axscope` - the new java.lang.String attribute

    - #### removeAllXscope

          void removeAllXscope()

      Remove all java.lang.String attributes.

    - #### removeXscope

          java.lang.String removeXscope(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeXscope

          boolean removeXscope(java.lang.String axscope)

      Remote a specific java.lang.String attribute.
      Parameters:
        `axscope` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetXscope

          boolean isSetXscope()

      Determine if any xscope attribute is set
      Returns:
        `true` if the xscope attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.